unit MainUnit;

interface

uses
  Dialogs, StdCtrls, Classes, Controls, Forms, SysUtils, MPlayerUnit;

type
  TMainForm = class(TForm)
    SelectMediaButton: TButton;
    SelectMediaDialog: TOpenDialog;
    InfoMemo: TMemo;
    procedure SelectMediaButtonClick(Sender: TObject);
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

procedure TMainForm.SelectMediaButtonClick(Sender: TObject);
var
  MediaFrames, MediaLength, MediaWidth, MediaHeight: Integer;
begin
  if SelectMediaDialog.Execute then begin
    InfoMemo.Lines.Clear;
    InfoMemo.Lines.Add('Obteniendo propiedades del fichero...');
    try
      SelectMediaButton.Enabled := False;
      HiddenForm.GetProperties(SelectMediaDialog.FileName, MediaFrames,
        MediaLength, MediaWidth, MediaHeight);
      InfoMemo.Lines.Clear;
      InfoMemo.Lines.Add(Format('El fichero "%s" tiene %.0n frames '
        + ',  %d'' %.0f"  duracin y tiene una resolucin de %d%d pxeles.',
        [SelectMediaDialog.FileName,
        MediaFrames/1 {forzamos conversin a punto flotante},
        MediaLength div 60000, (MediaLength mod 60000)/1000,
        MediaWidth, MediaHeight]));
    except {Si hay errores}
      InfoMemo.Lines.Clear;
      InfoMemo.Lines.Add('No se han podido obtener las propiedades del fichero.');
    end;
    SelectMediaButton.Enabled := True;
  end;
end;

begin
  ThousandSeparator := '.';
  DecimalSeparator := ',';
end.

